## org.hibernate.hql.ast.tree
Interface Statement

All Known Subinterfaces:
  RestrictableStatement

All Known Implementing Classes:
  AbstractRestrictableStatement, AbstractStatement, DeleteStatement, InsertStatement, QueryNode, UpdateStatement

    public interface Statement

Common interface modeling the different HQL statements (i.e., INSERT, UPDATE, DELETE, SELECT).

Author:
  Steve Ebersole

Method Summary
`int` `getStatementType()` Return the main token type representing the type of this statement.
`HqlSqlWalker` `getWalker()` Retreive the "phase 2" walker which generated this statement tree.
`boolean` `needsExecutor()` Does this statement require the StatementExecutor?

Method Detail

### getWalker

    HqlSqlWalker getWalker()

  Retreive the "phase 2" walker which generated this statement tree.

  Returns:
    The HqlSqlWalker instance which generated this statement tree.

### getStatementType

    int getStatementType()

  Return the main token type representing the type of this statement.

  Returns:
    The corresponding token type.

### needsExecutor

    boolean needsExecutor()

  Does this statement require the StatementExecutor? Essentially, at the JDBC level, does this require an executeUpdate()?

  Returns:
    True if this statement should be handed off to the StatementExecutor to be executed; false otherwise.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.